﻿/*******************************************************
*类名称：FileManager
*版本号：V1.0.0.0
*作者：成俊杰
*CLR版本：4.0.30319.36264
*创建时间：2017-07-19 10:26:16
*说明：文件信息表管理类
*更新备注：
**********************************************************/

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Dscf.CustomerCenter.Dao;
using Dscf.CustomerCenter.Domain;
using Dscf.CustomerCenter.Utils;
using System.Web;
using System.IO;
using System.Web.Mvc;

namespace Dscf.CustomerCenter.Manager.Implement
{
    /// <summary>
    /// 文件信息表
    /// </summary>
    public class FileManager : GenericManagerBase<Domain.File>, IFileManager
    {
        #region 上传文件添加至文件表

        /// <summary>
        /// 上传文件添加至文件表
        /// </summary>
        /// <param name="platformImg">上传文件</param>
        /// <returns>自增列ID</returns>
        public UpFileResultMessage FileInsertReturnId(HttpPostedFileBase[] platformImg, int? ThumbWidth = 110)
        {
            UpFileResultMessage upFileResultMsg = new UpFileResultMessage();
            try
            {
                var fileIdArray = new int[platformImg.Count()];
                for (int i = 0; i < platformImg.Count(); i++)//支持多文件上传，循环
                {
                    var upFileMsg = new UpFileMessage()
                    {
                        IsImage = true,
                        OriginalFileName = platformImg[i].FileName,
                        FileStream = platformImg[i].InputStream,
                        ThumbWidth = ThumbWidth,
                        Mode = "W"
                    };
                    upFileResultMsg = new FileUtil().UpLoadFile(upFileMsg);
                    if (upFileResultMsg.IsSuccess)
                    {
                        #region 执行数据添加

                        //此处执行数据添加
                        #endregion

                        fileIdArray[i] = FileId;
                    }
                }
                upFileResultMsg.FileIdArray = fileIdArray;
            }
            catch (Exception ex)
            {
                upFileResultMsg.IsSuccess = false;
                upFileResultMsg.Message = ex.Message;
            }
            return upFileResultMsg;
        }
        #endregion
    }
}